// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
    /**
     * 页面的初始数据
     */
    data: {
        // 主体高度
        infoHeight: '',
        frameStyle: { useTop: true, name: '赛程编排', leftArrow: true, useBar: false },
        alreadyList: [],
        id: ''
    },
    back: function () {
        wx.navigateBack({ url: '/pages/meMatch/index' })
    },
    //新增赛程编排
    addTo: function () {
        let id = this.data.id;
        wx.navigateTo({
            url: `/pages/layNew/index?id=${id}`,
        })
    },
     //新增赛程编排
     modify: function (e) {
        let id = e.currentTarget.dataset.id;
        wx.navigateTo({
            url: `/pages/modify/index?id=${id}`,
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({ id: options.id })
        // let id = options.id
        // 计算高度
        this.searchHeight();
        // 监听用户是否登录
        this.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: res => {
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/schedule`, //接口地址
                    method: 'get',
                    data: { match_id: that.data.id },
                    success(res) {
                        that.setData({ alreadyList: res.data.data })
                    }
                })
            },
            fail: res => {
                return wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
     // 计算高度
     searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})